//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobTraker;

import net.homelinux.pro.boobStates.*;

public interface StateTransition {
    public static final BoobState AVAILABLE_BOOB = new AvailableBoobState();
    public static final BoobState PROCESSING_BOOB = new ProcessingBoobState();
    public static final BoobState UNAVAILABLE_BOOB = new UnavailableBoobState();
   void changeStateTo(BoobState boobState);
}