//    This file is part of BoobTracker.
//
//    BoobTracker is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 3 of the License, or
//    (at your option) any later version.
//
//    BoobTracker is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with BoobTracker.  If not, see <http://www.gnu.org/licenses/>.
//
//    You may contact the original author at : squalou.jenkins@gmail.com

package net.homelinux.pro.boobTraker;

import android.widget.Chronometer;

public interface BoobState {

	public void available(StateTransition stateTransition) ;

    public void processing(StateTransition stateTransition);

    public void unavailable(StateTransition stateTransition);

    public int getCode();
    
    public int getColor();
    
    public int getButtonImage();
    
    public void setLastStartTime(Boob boob);
    
    public void setLastEndTime(Boob boob);
    
	public void setDuration(Boob boob);	
    
    public void manageChrono(Chronometer chrono);
    
    public void manageChrono(Chronometer chrono, long startedMillis);
    
}
